## dh-ada-library 6.19

=== tests/libfoo/Makefile ===
build:
	gprbuild -p -q foo.gpr -Xkind=dynamic
	gprbuild -p -q foo.gpr -Xkind=static
clean:
	rm -fr obj

## dh-ada-library 3

=== debian/changelog ===
dh-ada-library (3) unstable; urgency=low

  * control: Depend on gprbuild, so that gprconfig is available for
    gnatprj.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sat, 09 Jun 2012 01:40:47 +0200

dh-ada-library (2) unstable; urgency=low

  [ Nicolas Boulenguez ]
  * Slight optimization. When searching static archive, use
    Ada.Directories, instead of a subprocess and a temporary file.
  * Library_ALI_Dir may be common to many libraries, only embed *.ali from
    the current project (this will correct a packaging error in
    gtkada-2.24.1-4).
  * Ignore non-library imported projects during generation of ada:Depends.
    They are already reported by Install_Projects.
  * control: added VCS-* fields.
  * copyright: updated dep5 url, removed erroned comment.
  * man (en): typos, specify that non-library projects are ignored.
    (fr): update with Ludovic's changes.
  * (Style) Encapsulate all Prj dependencies in a separate package.
    Translation error, Affectation->Assignment.
  * For Vectors, use Indexes instead of Cursors, for efficiency and to
    avoid dreadful http://gcc.gnu.org/bugzilla/show_bug.cgi?id=52873.
  * man/dh_ada_library.1: Split sentences to ease merges.
    man/*: propagated Ludovic's changes.

  [ Ludovic Brenta ]
  * debian/control: Better English in the long description.
    (DM-Upload-Allowed): yes.
  * man/dh_ada_library.1: change passive voice to active voice.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sat, 28 Apr 2012 14:36:28 +0200

dh-ada-library (1) unstable; urgency=low

  * Initial release.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sat, 31 Mar 2012 15:03:21 +0200

=== debian/control ===
Source: dh-ada-library
Maintainer: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
Section: devel
Priority: optional
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
 gnat,
 libgnatprj4.6-dev, libgnatvsn4.6-dev
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.dh-ada-library
Vcs-Mtn: www.ada-france.org org.debian.dh-ada-library

Package: dh-ada-library
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
 gprbuild
# gprbuild provides gprconfig, needed by gnatprj with the current options.
# Recommends: debian-ada-policy
Description: Debian helper for Ada libraries
 Debhelper tools to ease common tasks in packaging libraries written
 in the Ada programming language, following the Debian Policy for Ada
 (http://people.debian.org/~lbrenta/debian-ada-policy.html).  In
 addition, the maintainer may find the
 /usr/share/ada/debian_packaging.mk Makefile snippet useful.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the dh-ada-library package.
#
#  Copyright (C) 2012 Nicolas Boulenguez <nicolas.boulenguez@free.fr>
#
#  This program is free software: you can redistribute it and/or
#  modify it under the terms of the GNU General Public License as
#  published by the Free Software Foundation, either version 3 of the
#  License, or (at your option) any later version.
#  This program is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
#  General Public License for more details.
#  You should have received a copy of the GNU General Public License
#  along with this program. If not, see <http://www.gnu.org/licenses/>.
#

include /usr/share/dpkg/buildflags.mk
include debian_packaging.mk

ifdef ALL_CHECKS
  ADAFLAGS += -Wall -Wextra -g -gnatE -gnatQ -gnatVa -gnata -gnatf	\
  -gnato -gnatq -gnatw.e -gnatySdouxy
  BUILDER_OPTIONS += -s -we
endif

%:
	dh $@

override_dh_auto_build:
	gnatmake -Pdh_ada_library.gpr $(BUILDER_OPTIONS) $(foreach var,\
          ADAFLAGS LDFLAGS,-X$(var)="$($(var))")

## dh-ada-library 5

=== debian/changelog ===
dh-ada-library (5) unstable; urgency=low

  * debian_packaging.mk: LDFLAGS+=-Wl,-z,defs: warn for undefined symbols.
    Disabling --as-needed as long as #680292 is on the way and breaks some
    library reverse-dependencies compiled with gnatmake.
  * control: I do not need DM-Upload-Allowed anymore.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 08 Nov 2012 19:39:34 +0100

dh-ada-library (4) unstable; urgency=low

  * debian_packaging.mk: append -v to BUILDER_OPTIONS, so that the exact
    command line is available to automatic log checkers.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sat, 07 Jul 2012 22:16:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: dh-ada-library
-Maintainer: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
+Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
 Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
  gnat,
  libgnatprj4.6-dev, libgnatvsn4.6-dev

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,8 @@
 include debian_packaging.mk
 
 ifdef ALL_CHECKS
-  ADAFLAGS += -Wall -Wextra -g -gnatE -gnatQ -gnatVa -gnata -gnatf	\
-  -gnato -gnatq -gnatw.e -gnatySdouxy
+  ADAFLAGS += -Wall -Wextra -g -gnataEfoqQ -gnatVa -gnatw.e	\
+ -gnatySdouxy
   BUILDER_OPTIONS += -s -we
 endif

## dh-ada-library 5.4

=== debian/changelog ===
dh-ada-library (5.4) unstable; urgency=low

  * Do not link /usr/share/doc/dbg_pkg -> lib_pkg because replacing a
    directory with a symbolic link causes upgrade problems.
  * Configure gnatprj to understand Ada separate units (gtkada).
  * Set installed files read-only (templates_parser).
  * Handle versioned -dbg package names (xmlada templates_parser),
    until they can obey the Ada policy.
  * Handle package where the library name contains an underscore and
    the package name a minus sign (templates-parser).
  * Adapt generated project to source naming exceptions (templates_parser).

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 23 Aug 2013 00:44:25 +0200

dh-ada-library (5.3) unstable; urgency=low

  * Internal changes removing the dependency on gprbuild.
  * Undo -s setting from previous revision, as it causes FTBFS for gnat-gps.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 17 Aug 2013 18:48:54 +0200

dh-ada-library (5.2) unstable; urgency=low

  * src/misc.ad[sb]: an exception was ignored in rare cases.
  * debian_packaging.mk: -Wformat-security not anymore in dpkg-buildflags.
    Default BUILDER_OPTIONS: -s to recompile if flags changed,
    -eS: messages to stdout instead of stderr, avoiding buildd timeout.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 21 Jul 2013 14:55:09 +0200

dh-ada-library (5.1) unstable; urgency=low

  * debian_packaging.mk: enable as-needed now that #680292 is closed.
  * debian/source/format/options: removed, let dpkg choose compression.
  * debian/control (Standards-Version): 3.9.4.
  * README, debian/docs: created and installed.
  * all: copyright update.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 14 May 2013 19:57:25 +0200

=== debian/control ===
Source: dh-ada-library
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
 gnat,
 libgnatprj4.6-dev, libgnatvsn4.6-dev
# dpkg-dev 1.16.1 provides /usr/share/dpkg/default.mk
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.dh-ada-library
Vcs-Mtn: www.ada-france.org org.debian.dh-ada-library

Package: dh-ada-library
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
# Recommends: debian-ada-policy
Suggests: gnat
Description: Debian helper for Ada libraries
 Debhelper tools to ease common tasks in packaging libraries written
 in the Ada programming language, following the Debian Policy for Ada
 (http://people.debian.org/~lbrenta/debian-ada-policy.html).  In
 addition, the maintainer may find the
 /usr/share/ada/debian_packaging.mk Makefile snippet useful.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # debian/rules for the dh-ada-library package.
 #
-#  Copyright (C) 2012 Nicolas Boulenguez <nicolas.boulenguez@free.fr>
+#  Copyright (C) 2012-2013 Nicolas Boulenguez <nicolas@debian.org>
 #
 #  This program is free software: you can redistribute it and/or
 #  modify it under the terms of the GNU General Public License as
@@ -24,9 +24,15 @@
   BUILDER_OPTIONS += -s -we
 endif
 
-%:
+POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
+  build-indep clean
+.PHONY: $(POLICY_TARGETS)
+$(POLICY_TARGETS):
 	dh $@
 
 override_dh_auto_build:
 	gnatmake -Pdh_ada_library.gpr $(BUILDER_OPTIONS) $(foreach var,\
           ADAFLAGS LDFLAGS,-X$(var)="$($(var))")
+
+override_dh_auto_clean:
+	rm -f obj/*

## dh-ada-library 5.5b1

=== debian/changelog ===
dh-ada-library (5.5b1) staging; urgency=low

  * Rebuild for Tanglu

 -- Jon Severinsson <jon@severinsson.net>  Tue, 28 Jan 2014 21:32:19 +0100

dh-ada-library (5.5) unstable; urgency=low

  * Insert later in the debhelper sequence (after dh_lintian).
    As we call dh_strip on two packages, dh_install may want to install other
    binaries before that so that they are stripped too (templates_parser).
    No need to run dh_lintian in advance anymore.
  * Implementation: instead of giving dh_strip special argument to avoid
    static lib, simply install it afterwards.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Aug 2013 19:49:00 +0200

## dh-ada-library 5.9

=== debian/changelog ===
dh-ada-library (5.9) unstable; urgency=medium

  * Accept relocatable library type, alias for dynamic used by xmlada4.4.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 01 Mar 2014 14:13:12 +0100

dh-ada-library (5.8) unstable; urgency=medium

  * Depends: append 4.9 to allowed gnat versions.
  * dh_ada_library.adb: allow snapshot versions when calling gnatmake.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 18 Feb 2014 20:03:35 +0100

dh-ada-library (5.7) unstable; urgency=medium

  * default_cgpr: handle separates with 4.8. Should close #735824.
  * src/projects: avoid controlled out parameters.
    Fully clean the tree before parsing next project. Closes: #736110.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 20 Jan 2014 23:46:36 +0100

dh-ada-library (5.6) unstable; urgency=low

  * Set ALI files 444, not only 644 (detailed rationale in policy).
  * Standards-Version: 3.9.5 (no changes).
  * Build-Depends: same version for gnat, gnatsvn and gnatprj.
  * Switch to gnat 4.8: warnings, new API for prj-dev.
  * Depends: on executables indirectly from called via system().
  * Call "gnatmake" instead of "gnatgcc" to allow non-default compilers.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 23 Dec 2013 03:35:28 +0100

=== debian/control ===
Source: dh-ada-library
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
# dpkg-dev 1.16.1 provides /usr/share/dpkg/default.mk
 gnat-4.8, libgnatprj4.8-dev, libgnatvsn4.8-dev
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.dh-ada-library
Vcs-Mtn: www.ada-france.org org.debian.dh-ada-library

Package: dh-ada-library
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
 debhelper,
 gnat-4.9 | gnat-4.8 | gnat-4.6 | gnat-4.4,
# Calls gnatmake.
 dpkg-dev,
# Calls dpkg-architecture.
 binutils
# Calls readelf.
# Recommends: debian-ada-policy (not a .deb yet)
Description: Debian helper for Ada libraries
 Debhelper tools to ease common tasks in packaging libraries written
 in the Ada programming language, following the Debian Policy for Ada
 (http://people.debian.org/~lbrenta/debian-ada-policy.html).  In
 addition, the maintainer may find the
 /usr/share/ada/debian_packaging.mk Makefile snippet useful.

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,8 @@
 include debian_packaging.mk
 
 ifdef ALL_CHECKS
-  ADAFLAGS += -Wall -Wextra -g -gnataEfoqQ -gnatVa -gnatw.e	\
+# .Y is supposed to be the default on gnat-4.9, so may disappear one day.
+  ADAFLAGS += -Wall -Wextra -g -gnataEfoqQ -gnatVa -gnatw.e.Y	\
  -gnatySdouxy
   BUILDER_OPTIONS += -s -we
 endif

## dh-ada-library 6.1

=== debian/changelog ===
dh-ada-library (6.1) unstable; urgency=medium

  * Build-Depends: gnat-4.9 the new default compiler.
  * Handle excluded and replaced source files (used by libflorist).

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 17 Apr 2014 13:38:04 +0200

dh-ada-library (6.0) unstable; urgency=medium

  * Move debian_packaging.mk to gnat-x.y (not specific to libraries).
    Check README for migration.
  * control/Depends: gnat, then only explicit list of compiler versions.
  * Build-Depends: gnat-4.6 (>= 4.6.4-2) for debian_packaging.mk.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 06 Apr 2014 16:03:28 +0200

=== debian/control ===
Source: dh-ada-library
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
# dpkg-dev 1.16.1 provides /usr/share/dpkg/default.mk
 gnat-4.9, libgnatprj4.9-dev, libgnatvsn4.9-dev
# gnat-4.9 provides /usr/share/ada/debian_packaging.mk
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.dh-ada-library
Vcs-Mtn: www.ada-france.org org.debian.dh-ada-library

Package: dh-ada-library
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
 debhelper,
 gnat | gnat-4.9 | gnat-4.8 | gnat-4.6 | gnat-4.4,
# Calls gnatmake.
 dpkg-dev,
# Calls dpkg-architecture.
 binutils
# Calls readelf.
# Recommends: debian-ada-policy (not a .deb yet)
Description: Debian helper for Ada libraries
 Debhelper tools to ease common tasks in packaging libraries written
 in the Ada programming language, following the Debian Policy for Ada
 (http://people.debian.org/~lbrenta/debian-ada-policy.html).

## dh-ada-library 6.3

=== debian/changelog ===
dh-ada-library (6.3) unstable; urgency=medium

  * When parsing "gnatmake --version", select major.minor with a regular
    expression (gnat-4.9 >= 4.9.1-4 appends a revision). Closes: #768805.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 09 Nov 2014 13:24:33 +0100

dh-ada-library (6.2) unstable; urgency=medium

  * Depends: gnat-x.y only for released x.y.
  * Let manual pages explicit installed permissions.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 06 Oct 2014 17:58:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
 # dpkg-dev 1.16.1 provides /usr/share/dpkg/default.mk
- gnat-4.9, libgnatprj4.9-dev, libgnatvsn4.9-dev
+ gnat (>= 4.9), libgnatprj4.9-dev, libgnatvsn4.9-dev
 # gnat-4.9 provides /usr/share/ada/debian_packaging.mk
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.dh-ada-library
 Vcs-Mtn: www.ada-france.org org.debian.dh-ada-library
@@ -14,8 +14,9 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
  debhelper,
- gnat | gnat-4.9 | gnat-4.8 | gnat-4.6 | gnat-4.4,
-# Calls gnatmake.
+ gnat | gnat-4.9 | gnat-4.6,
+# This tool will often complement the default compiler, but should
+# support backports and transitions.
  dpkg-dev,
 # Calls dpkg-architecture.
  binutils

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # debian/rules for the dh-ada-library package.
 #
-#  Copyright (C) 2012-2013 Nicolas Boulenguez <nicolas@debian.org>
+#  Copyright (C) 2012-2014 Nicolas Boulenguez <nicolas@debian.org>
 #
 #  This program is free software: you can redistribute it and/or
 #  modify it under the terms of the GNU General Public License as
@@ -16,14 +16,11 @@
 #
 
 include /usr/share/dpkg/buildflags.mk
-include debian_packaging.mk
+include /usr/share/ada/debian_packaging.mk
 
-ifdef ALL_CHECKS
 # .Y is supposed to be the default on gnat-4.9, so may disappear one day.
-  ADAFLAGS += -Wall -Wextra -g -gnataEfoqQ -gnatVa -gnatw.e.Y	\
- -gnatySdouxy
-  BUILDER_OPTIONS += -s -we
-endif
+ADAFLAGS += -gnataEfoqQ -gnatVa -Wall -Wextra -gnatw.e.Y -gnatySdouxy
+BUILDER_OPTIONS += -s
 
 POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
   build-indep clean

## dh-ada-library 6.4

=== debian/changelog ===
dh-ada-library (6.4) unstable; urgency=medium

  * Warn against non deterministic ALI for sources newer than changelog.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 05 May 2015 17:14:44 +0200

## dh-ada-library 6.6

=== debian/changelog ===
dh-ada-library (6.6) unstable; urgency=medium

  * Do not attempt to parse any project when called with -i/--indep.
    Should fix FTBFS #806603 for asis architecture-independant packages.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 05 Dec 2015 13:40:26 +0100

dh-ada-library (6.5) unstable; urgency=medium

  * Depends: +gnat-5 -gnat-4.6 in list of Ada compilers.
  * Rely on 'dpkg-query --search gnatmake' to know current Ada package (5),
    instead of 'gnatmake --help' (gnat-5.2 is not a Debian package).
  * Build-Depends: gnat-5 but avoid relying on project support by gnatmake.
    Using gprbuild instead would cause a circular build-dependency.
  * Take ALI files from Object_Dir instead of Library_ALI_Dir.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 22 Oct 2015 12:12:16 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
 # dpkg-dev 1.16.1 provides /usr/share/dpkg/default.mk
- gnat (>= 4.9), libgnatprj4.9-dev, libgnatvsn4.9-dev
-# gnat-4.9 provides /usr/share/ada/debian_packaging.mk
+ gnat-5, libgnatprj5-dev, libgnatvsn5-dev
+# gnat-v /usr/share/ada/debian_packaging-v.mk
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.dh-ada-library
 Vcs-Mtn: www.ada-france.org org.debian.dh-ada-library
 
@@ -14,7 +14,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
  debhelper,
- gnat | gnat-4.9 | gnat-4.6,
+ gnat | gnat-5 | gnat-4.9,
 # This tool will often complement the default compiler, but should
 # support backports and transitions.
  dpkg-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # debian/rules for the dh-ada-library package.
 #
-#  Copyright (C) 2012-2014 Nicolas Boulenguez <nicolas@debian.org>
+#  Copyright (C) 2012-2015 Nicolas Boulenguez <nicolas@debian.org>
 #
 #  This program is free software: you can redistribute it and/or
 #  modify it under the terms of the GNU General Public License as
@@ -16,7 +16,7 @@
 #
 
 include /usr/share/dpkg/buildflags.mk
-include /usr/share/ada/debian_packaging.mk
+include /usr/share/ada/debian_packaging*.mk
 
 # .Y is supposed to be the default on gnat-4.9, so may disappear one day.
 ADAFLAGS += -gnataEfoqQ -gnatVa -Wall -Wextra -gnatw.e.Y -gnatySdouxy
@@ -28,9 +28,15 @@
 $(POLICY_TARGETS):
 	dh $@
 
+.PHONY:override_dh_auto_build
 override_dh_auto_build:
-	gnatmake -Pdh_ada_library.gpr $(BUILDER_OPTIONS) $(foreach var,\
-          ADAFLAGS LDFLAGS,-X$(var)="$($(var))")
+	gnatmake dh_ada_library -aIsrc -D obj -o obj/dh_ada_library \
+          $(BUILDER_OPTIONS) \
+          -cargs $(ADAFLAGS) \
+          -largs $(LDFLAGS) \
+          -margs -aI/usr/share/ada/adainclude/gnatprj -aO/usr/lib/ada/adalib/gnatprj -largs -lgnatprj \
+          -margs -aI/usr/share/ada/adainclude/gnatvsn -aO/usr/lib/ada/adalib/gnatvsn -largs -lgnatvsn
 
+.PHONY:override_dh_auto_clean
 override_dh_auto_clean:
 	rm -f obj/*

## dh-ada-library 6.8

=== debian/changelog ===
dh-ada-library (6.8) unstable; urgency=medium

  * Rebuild with gnat-6, libgnatprj6 and libgnatvsn6.
  * Libgnatvsn/prj will soon Build-Depend: gprbuild, we might as well use it.
  * Standards-Version: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Apr 2016 01:33:59 +0200

dh-ada-library (6.7) unstable; urgency=medium

  * Do not require -dbg packages, as debhelper now generates -dbgsym.
  * Add gnat-6 to the compiler list.
  * Activate all hardening build flags.
  * Override vcs-field-uses-insecure-uri lintian tag.
  * Standards-Version 3.9.7 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 06 Apr 2016 02:45:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
 # dpkg-dev 1.16.1 provides /usr/share/dpkg/default.mk
- gnat-5, libgnatprj5-dev, libgnatvsn5-dev
+ gnat-6, libgnatprj6-dev, libgnatvsn6-dev,
 # gnat-v /usr/share/ada/debian_packaging-v.mk
+ gprbuild (>= 2015-2)
+# gprbuild compatible with gnat-6
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.dh-ada-library
 Vcs-Mtn: www.ada-france.org org.debian.dh-ada-library
 
@@ -14,7 +16,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
  debhelper,
- gnat | gnat-5 | gnat-4.9,
+ gnat | gnat-6 | gnat-5 | gnat-4.9,
 # This tool will often complement the default compiler, but should
 # support backports and transitions.
  dpkg-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # debian/rules for the dh-ada-library package.
 #
-#  Copyright (C) 2012-2015 Nicolas Boulenguez <nicolas@debian.org>
+#  Copyright (C) 2012-2016 Nicolas Boulenguez <nicolas@debian.org>
 #
 #  This program is free software: you can redistribute it and/or
 #  modify it under the terms of the GNU General Public License as
@@ -15,6 +15,7 @@
 #  along with this program. If not, see <http://www.gnu.org/licenses/>.
 #
 
+DEB_BUILD_MAINT_OPTIONS := hardening=+all
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/ada/debian_packaging*.mk
 
@@ -30,12 +31,9 @@
 
 .PHONY:override_dh_auto_build
 override_dh_auto_build:
-	gnatmake dh_ada_library -aIsrc -D obj -o obj/dh_ada_library \
-          $(BUILDER_OPTIONS) \
-          -cargs $(ADAFLAGS) \
-          -largs $(LDFLAGS) \
-          -margs -aI/usr/share/ada/adainclude/gnatprj -aO/usr/lib/ada/adalib/gnatprj -largs -lgnatprj \
-          -margs -aI/usr/share/ada/adainclude/gnatvsn -aO/usr/lib/ada/adalib/gnatvsn -largs -lgnatvsn
+	gprbuild dh_ada_library.gpr $(BUILDER_OPTIONS) \
+	  -cargs $(ADAFLAGS) \
+	  -largs $(LDFLAGS)
 
 .PHONY:override_dh_auto_clean
 override_dh_auto_clean:

## dh-ada-library 6.8build1

=== debian/changelog ===
dh-ada-library (6.8build1) zesty; urgency=medium

  * No-change rebuild for ada transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 07 Apr 2017 04:22:34 -0600

## dh-ada-library 6.12

=== debian/changelog ===
dh-ada-library (6.12) unstable; urgency=medium

  * Upload to unstable.
  * Disable wrong assertion (library options defined in same project).
    Caused a FTBFS for libtemplates-parser/17.2-1 on hppa.
  * Stop warning about recent timestamps, gcc-7 handles SOURCE_DATE_EPOCH.
  * Standards-Version: 4.0.1 (no changes).
  * Drop explicit rules targets confusing dh.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 10 Aug 2017 09:20:18 +0200

dh-ada-library (6.11) experimental; urgency=medium

  * Rebuild with gnat-7.
  * Install projects into libgpr upstream default /usr/share/gpr.
  * Recommend: gnat instead of Depend: an explicit version list.
  * Standards-Version: 4.0.0, debhelper 10.
  * Drop description-possibly-contains-homepage lintian override.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 02 Jul 2017 22:03:44 +0200

dh-ada-library (6.10) experimental; urgency=medium

  * Let libgpr compute the path to ALI files even with non-default source
    file extensions (used by libgnatcoll).

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 26 Aug 2016 09:10:32 +0200

dh-ada-library (6.9) experimental; urgency=medium

  * Rebuild with libgpr instead of libgnatprj and libgnatvsn.
  * Stop buggy attempts to manage memory.  Free environment variables
    before starting a new project, but reuse existing trees.
  * Add basic runtime regression tests.
  * Report surprising timestamps only for Ada, others do not affect ALIs.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 Aug 2016 03:01:38 +0200

=== debian/control ===
Source: dh-ada-library
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.0.1
Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.1~),
# dpkg-dev 1.16.1 provides /usr/share/dpkg/default.mk
 gnat-7, libgpr1-dev,
# gnat-v /usr/share/ada/debian_packaging-v.mk
# The same line must be updated manually in tests/control.
# The test script and d/rules extract the versions from here.
 gprbuild (>= 2015-2)
# gprbuild compatible with gnat-6
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.dh-ada-library
Vcs-Mtn: www.ada-france.org org.debian.dh-ada-library

Package: dh-ada-library
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
 debhelper,
 dpkg-dev,
# Calls dpkg-architecture.
 binutils
# Calls readelf.
# Recommends: debian-ada-policy (not a .deb yet)
Recommends: gnat
Description: Debian helper for Ada libraries
 Debhelper tools to ease common tasks in packaging libraries written
 in the Ada programming language, following the Debian Policy for Ada
 (http://people.debian.org/~lbrenta/debian-ada-policy.html).
 .
 A specific gnat-X is recommended via the gnat package, but any
 version should be supported.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # debian/rules for the dh-ada-library package.
 #
-#  Copyright (C) 2012-2016 Nicolas Boulenguez <nicolas@debian.org>
+#  Copyright (C) 2012-2017 Nicolas Boulenguez <nicolas@debian.org>
 #
 #  This program is free software: you can redistribute it and/or
 #  modify it under the terms of the GNU General Public License as
@@ -15,18 +15,18 @@
 #  along with this program. If not, see <http://www.gnu.org/licenses/>.
 #
 
+GNAT_VERSION := $(shell sed -n \
+  '/^ gnat-\(.*\), libgpr.*-dev,$$/{s//\1/p;q}' debian/control)
+
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
 include /usr/share/dpkg/buildflags.mk
-include /usr/share/ada/debian_packaging*.mk
+include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
 
 # .Y is supposed to be the default on gnat-4.9, so may disappear one day.
 ADAFLAGS += -gnataEfoqQ -gnatVa -Wall -Wextra -gnatw.e.Y -gnatySdouxy
 BUILDER_OPTIONS += -s
 
-POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
-  build-indep clean
-.PHONY: $(POLICY_TARGETS)
-$(POLICY_TARGETS):
+%:
 	dh $@
 
 .PHONY:override_dh_auto_build

=== tests/libfoo/debian/rules ===
%:
	dh $@ --with ada-library

=== debian/tests/control ===
Test-Command: sh tests/regression
Depends: @, gprbuild, gnat, gcc, fakeroot, make, debhelper, dpkg-dev,
 libfile-fcntllock-perl,
 gnat-7, libgpr1-dev

# If libfile-fcntllock-perl is not installed,
# dpkg-gencontrol complains on standard error.

## dh-ada-library 6.13

=== debian/changelog ===
dh-ada-library (6.13) unstable; urgency=medium

  * Debhelper 11.
  * Standards-Version: 4.1.4.
  * Drop obsolete version restriction on dpkg-dev build-dependency.
  * Migrate VCS from monotone to git on salsa.debian.org.
  * Prefix debhelper config files with package name for readability.
  * Stop expecting VCS for creation or removal of empty directories.
  * Modify test so that a shlibs:Depends is more representative (non empty).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Apr 2018 13:33:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.0.1
-Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.1~),
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11),
 # dpkg-dev 1.16.1 provides /usr/share/dpkg/default.mk
  gnat-7, libgpr1-dev,
 # gnat-v /usr/share/ada/debian_packaging-v.mk
@@ -11,8 +11,8 @@
 # The test script and d/rules extract the versions from here.
  gprbuild (>= 2015-2)
 # gprbuild compatible with gnat-6
-Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.dh-ada-library
-Vcs-Mtn: www.ada-france.org org.debian.dh-ada-library
+Vcs-Browser: https://salsa.debian.org/debian/dh_ada_library
+Vcs-Git: https://salsa.debian.org/debian/dh_ada_library.git
 
 Package: dh-ada-library
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

GNAT_VERSION := $(shell sed -n \
  '/^ gnat-\(.*\), libgpr.*-dev,$$/{s//\1/p;q}' debian/control)

DEB_CFLAGS_MAINT_APPEND := -Wall -Wextra
DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk

# .Y is supposed to be the default on gnat-4.9, so may disappear one day.
ADAFLAGS += -gnataEfoqQ -gnatVa -gnatw.e.Y -gnatySdouxy
BUILDER_OPTIONS += -s

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build: | obj
	gprbuild dh_ada_library.gpr $(BUILDER_OPTIONS) \
	  -cargs $(ADAFLAGS) \
	  -largs $(LDFLAGS)

obj:
	mkdir $@

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	rm -fr obj

## dh-ada-library 6.15

=== debian/changelog ===
dh-ada-library (6.15) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:43 +0200

dh-ada-library (6.14) experimental; urgency=medium

  * Rebuild with gnat-8, libgpr2-dev.
  * Drop dependency on gprbuild.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 07 May 2018 20:48:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,9 @@
 Priority: optional
 Standards-Version: 4.1.4
 Build-Depends: debhelper (>= 11),
-# dpkg-dev 1.16.1 provides /usr/share/dpkg/default.mk
- gnat-7, libgpr1-dev,
-# gnat-v /usr/share/ada/debian_packaging-v.mk
+ gnat-8, libgpr2-dev,
 # The same line must be updated manually in tests/control.
 # The test script and d/rules extract the versions from here.
- gprbuild (>= 2015-2)
-# gprbuild compatible with gnat-6
 Vcs-Browser: https://salsa.debian.org/debian/dh_ada_library
 Vcs-Git: https://salsa.debian.org/debian/dh_ada_library.git

=== debian/rules ===
#!/usr/bin/make -f

GNAT_VERSION := $(shell sed -n \
  '/^ gnat-\(.*\), libgpr.*-dev,$$/{s//\1/p;q}' debian/control)

DEB_CFLAGS_MAINT_APPEND := -Wall -Wextra
DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk

ads_dir := /usr/share/ada/adainclude
ali_dir := /usr/lib/$(DEB_HOST_MULTIARCH)/ada/adalib

# .Y is supposed to be the default on gnat-4.9, so may disappear one day.
ADAFLAGS += -gnataEfoqQ -gnatVa -gnatw.e.Y -gnatySdouxy
BUILDER_OPTIONS += -s

%:
	dh $@

tools := dh_ada_library

.PHONY: override_dh_auto_build
override_dh_auto_build: $(tools)

.PHONY: $(tools)
$(tools): | obj
	gnatmake -Isrc -D obj -o obj/$@ $@.adb \
	  $(BUILDER_OPTIONS) $(foreach l,$(adalibs),-aI$(ads_dir)/$(l) -aO$(ali_dir)/$(l)) \
	  -cargs $(ADAFLAGS) \
	  -largs $(LDFLAGS) $(addprefix -l,$(adalibs))

dh_ada_library: adalibs := gpr xmlada_schema xmlada_dom xmlada_sax xmlada_input xmlada_unicode

obj:
	mkdir $@

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	rm -fr obj
	find . -name '*~' -delete

=== debian/tests/control ===
Test-Command: sh tests/regression
Depends: @, gprbuild, gnat, gcc, fakeroot, make, debhelper, dpkg-dev,
 libfile-fcntllock-perl,
 gnat-8, libgpr2-dev

# If libfile-fcntllock-perl is not installed,
# dpkg-gencontrol complains on standard error.

## dh-ada-library 6.19

=== debian/changelog ===
dh-ada-library (6.19) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 24 Feb 2020 22:13:39 +0100

dh-ada-library (6.18) experimental; urgency=medium

  * Provide a virtual package named dh-sequence-ada-library.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 17 Dec 2019 12:14:31 +0100

dh-ada-library (6.17) experimental; urgency=medium

  * Rebuild against renamed libgpr-dev -> libgnatprj-dev.
  * Drop --as-needed, now the default.
  * Standards-Version: 4.4.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 03 Dec 2019 19:26:10 +0100

dh-ada-library (6.16) experimental; urgency=medium

  * Build for experimental with gnat-9 and libgpr3-dev.
  * Standards-Version: 4.4.0.
  * Debhelper 12.

  [Ondřej Nový <onovy@debian.org>]
  * d/copyright: Change Format URL to correct one

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 18 Jul 2019 13:36:17 +0200

=== tests/libfoo/debian/changelog ===
libfoo (1) UNRELEASED; urgency=medium

  * Initial packaging.

 -- Nobody <nobody@nowhere.org>  Mon, 08 Aug 2016 15:08:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,19 @@
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 11),
- gnat-8, libgpr2-dev,
-# The same line must be updated manually in tests/control.
-# The test script and d/rules extract the versions from here.
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Build-Depends:
+ debhelper-compat (= 12),
+ gnat-9,
+ libgnatprj7-dev,
+# The same versions must be updated manually in tests/control.
+# The test script extracts the gnatprj version from here.
 Vcs-Browser: https://salsa.debian.org/debian/dh_ada_library
 Vcs-Git: https://salsa.debian.org/debian/dh_ada_library.git
 
 Package: dh-ada-library
+Provides: dh-sequence-ada-library
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
  debhelper,

=== debian/tests/control ===
Test-Command: sh tests/regression
Depends: @, gprbuild, gnat, gcc, fakeroot, make, debhelper, dpkg-dev,
 libfile-fcntllock-perl,
 gnat-9, libgnatprj7-dev

# If libfile-fcntllock-perl is not installed,
# dpkg-gencontrol complains on standard error.

## dh-ada-library 6.20

=== debian/changelog ===
dh-ada-library (6.20) unstable; urgency=medium

  * Strip unreproducible -f*-prefix-map= options from installed .ali files.
  * Remove handling of obsolete -dbg packages.
  * Debhelper 13.
  * Fix formatting details in manual pages.
  * Document Build-Depends-Arch: dh-sequence-ada-library.
  * When installing, replace existing files.
  * In tests, build verbosely and pass -g.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 05 May 2020 21:49:54 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gnat-9,
  libgnatprj7-dev,
 # The same versions must be updated manually in tests/control.

## dh-ada-library 7.3

=== tests/libfoo/Makefile ===
build:
	gprbuild -p -v foo.gpr -Xkind=dynamic
	gprbuild -p -v foo.gpr -Xkind=static
clean:
	rm -fr obj

=== debian/changelog ===
dh-ada-library (7.3) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Add myself to Uploaders.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 11 Dec 2020 22:02:01 +0100

dh-ada-library (7.2) experimental; urgency=medium

  * Build-Depend: libgnatprj with a strict version, replacing the ALI
    version which does not change in experimental.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 15 Nov 2020 17:48:26 +0000

dh-ada-library (7.1) experimental; urgency=medium

  * Rebuild against libgnatprj/21.0.0-1.
  * Typo in manual page.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 23 Oct 2020 18:44:24 +0000

dh-ada-library (7.0) experimental; urgency=medium

  * Generate linker options for installed projects from Linker'Linker_Options
    instead of (Leading_)Library_Options.
    Add related -dev packages to ada:Depends.
  * Build with gnat-10 and updated dependencies.
  * Fix name in default configuration project.
  * Update and gather documentation and copyrights.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 21 May 2020 17:30:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,18 @@
 Source: dh-ada-library
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
+Uploaders: Ludovic Brenta <lbrenta@debian.org>
 Section: devel
 Priority: optional
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- gnat-9,
- libgnatprj7-dev,
+ gnat-10,
+# The following line has its role during the gnat-10 transition in
+# experimental, but we keep the one without version so that the
+# test can go on and extract the ALI version.
+ libgnatprj8-dev (>= 2021.0.0.0778b109-2),
+ libgnatprj8-dev,
 # The same versions must be updated manually in tests/control.
 # The test script extracts the gnatprj version from here.
 Vcs-Browser: https://salsa.debian.org/debian/dh_ada_library

=== debian/rules ===
#!/usr/bin/make -f

GNAT_VERSION := $(shell gnatgcc -dumpversion)

DEB_BUILD_MAINT_OPTIONS := hardening=+all
# .Y is supposed to be the default on gnat-4.9, so may disappear one day.
DEB_ADAFLAGS_MAINT_APPEND := -Wall -Wextra -gnataEfoqQ -gnatVa \
  -gnatw.e.Y -gnatySdouxy
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk

ads_dir := /usr/share/ada/adainclude
ali_dir := /usr/lib/$(DEB_HOST_MULTIARCH)/ada/adalib

BUILDER_OPTIONS += -s

%:
	dh $@

tools := dh_ada_library

.PHONY: override_dh_auto_build
override_dh_auto_build: $(tools)

.PHONY: $(tools)
$(tools): | obj
	gnatmake -Isrc -D obj -o obj/$@ $@.adb \
	  $(BUILDER_OPTIONS) $(foreach l,$(adalibs),-aI$(ads_dir)/$(l) -aO$(ali_dir)/$(l)) \
	  -cargs $(ADAFLAGS) \
	  -largs $(LDFLAGS) $(addprefix -l,$(adalibs))

dh_ada_library: adalibs := gnatprj xmlada_schema xmlada_dom xmlada_sax xmlada_input xmlada_unicode

obj:
	mkdir $@

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	rm -fr obj
	find . -name '*~' -delete

=== tests/libfoo/debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/buildflags.mk
gnat_version := $(shell /usr/bin/gnatgcc -dumpversion)
include /usr/share/ada/debian_packaging-$(gnat_version).mk

%:
	dh $@

=== debian/tests/control ===
Test-Command: sh tests/regression
Depends: @, gprbuild, gnat, gcc, fakeroot, make, debhelper, dpkg-dev,
 libfile-fcntllock-perl,
 zlib1g-dev,
 gnat-10, libgnatprj8-dev

# If libfile-fcntllock-perl is not installed,
# dpkg-gencontrol complains on standard error.
# The test builds a package depending on libz.

## dh-ada-library 7.8

=== debian/changelog ===
dh-ada-library (7.8) unstable; urgency=medium

  * Revert stripping of -gnate[cm] options from debug information.
    Sed is not intended for binary contents, and debian_packaging.mk from
    gnat/11.2 contains a less intrusive workaround.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 02 Jun 2022 17:01:52 +0000

dh-ada-library (7.7) unstable; urgency=medium

  * Strip unreproducible temporary paths from shared library debug information

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 5.4.
  * Update standards version to 4.6.1, no changes needed.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 31 May 2022 02:07:07 +0200

dh-ada-library (7.6) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 18:08:53 +0200

dh-ada-library (7.5) experimental; urgency=medium

  * Set ada:Depends to 'gnat (>= X), gnat (<< X+1)' instead of 'gnat, gnat-X'.
    See https://bugs.debian.org/bug=975589#24.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Apr 2022 15:13:36 +0000

dh-ada-library (7.4) experimental; urgency=medium

  * Rebuild with gcc-11 for experimental.
  * Adapt to changes in debian_packaging.mk and libgnatprj.
  * Update standards version.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Mar 2022 13:31:49 +0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,13 @@
 Uploaders: Ludovic Brenta <lbrenta@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- gnat-10,
-# The following line has its role during the gnat-10 transition in
-# experimental, but we keep the one without version so that the
-# test can go on and extract the ALI version.
- libgnatprj8-dev (>= 2021.0.0.0778b109-2),
- libgnatprj8-dev,
+# For debian_packaging.mk:
+ gnat,
+ libgnatprj9-dev,
 # The same versions must be updated manually in tests/control.
 # The test script extracts the gnatprj version from here.
 Vcs-Browser: https://salsa.debian.org/debian/dh_ada_library

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS := hardening=+all
# .Y is supposed to be the default on gnat-4.9, so may disappear one day.
DEB_ADAFLAGS_MAINT_APPEND := -Wall -Wextra -gnataEfoqQ -gnatVa \
  -gnatw.e.Y -gnatySdouxy
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildopts.mk
include /usr/share/ada/debian_packaging.mk

ads_dir := /usr/share/ada/adainclude
ali_dir := /usr/lib/$(DEB_HOST_MULTIARCH)/ada/adalib

GNATMAKEFLAGS += -s

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build: | obj
	gnatmake -Isrc -D obj -o obj/dh_ada_library dh_ada_library.adb \
	  $(GNATMAKEFLAGS) \
	  $(foreach l,$(adalibs),-aI$(ads_dir)/$(l) -aO$(ali_dir)/$(l)) \
	  -cargs $(ADAFLAGS) \
	  -largs $(LDFLAGS) $(addprefix -l,$(adalibs))

adalibs := gnatprj xmlada_schema xmlada_dom xmlada_sax xmlada_input xmlada_unicode

obj:
	mkdir $@

=== tests/libfoo/debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildopts.mk
include /usr/share/ada/debian_packaging.mk

%:
	dh $@

=== debian/tests/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Depends: @, gprbuild, gnat, gcc, fakeroot, make, debhelper, dpkg-dev,
  libfile-fcntllock-perl,
  zlib1g-dev,
- gnat-10, libgnatprj8-dev
+ gnat-11, libgnatprj9-dev
 
 # If libfile-fcntllock-perl is not installed,
 # dpkg-gencontrol complains on standard error.
